Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007142TestLinkRequirement Managementpublic2015-06-02 10:592015-09-19 08:49
ReporterArndt 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007142: Requirement relations are missing when creating new testproject based on existent one
DescriptionWhen creating a new testproject based on another one all relations of the included requirements are lost.
Steps To Reproduce1.) Create a TP1
2.) Create 2 random requirements in TP1
3.) Set the relation of requirement 1 to "related to" requirement 2
4.) Create a TP2 based on TP1
5.) Take a look on requirement 1 in the new project. The relation is missing.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version5.4.4
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon Unbenannt-1.jpg [^] (241,167 bytes) 2015-06-02 10:59

- Relationships
related to 0007143assignedfman Copy Requirement does not copy Relations 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023423)
fman (administrator)
2015-06-02 13:36

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/1c3d237475bfe0eb45a9e7943ccba6c49bc99fb3 [^]
(0023458)
Arndt (reporter)
2015-06-09 08:41

Thank you. It works!
(0023928)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-06-02 10:59 Arndt New Issue
2015-06-02 10:59 Arndt File Added: Unbenannt-1.jpg
2015-06-02 11:36 fman QA Team - Task Workflow Status => TBD
2015-06-02 11:36 fman Summary Requirement relations are missing when creating new testproject => Requirement relations are missing when creating new testproject based on existent one
2015-06-02 11:43 fman Relationship added related to 0007143
2015-06-02 13:36 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-06-02 13:36 fman Note Added: 0023423
2015-06-02 13:36 fman Status new => resolved
2015-06-02 13:36 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-06-02 13:36 fman Resolution open => fixed
2015-06-02 13:36 fman Assigned To => fman
2015-06-02 13:39 fman Relationship added child of 0006830
2015-06-09 08:41 Arndt Note Added: 0023458
2015-09-19 08:49 fman Note Added: 0023928
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker